<!-- Copyright 2016 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/shared_style_css.html">
<link rel="import" href="chrome://resources/cr_elements/cr_checkbox/cr_checkbox.html">
<link rel="import" href="chrome://resources/html/action_link.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-styles/color.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/oobe_dialog.html">

<dom-module id="oobe-eula-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="chrome://resources/css/throbber.css">
    <link rel="stylesheet" href="oobe_eula.css">
    <oobe-dialog id="eulaLoadingDialog" hidden="[[!eulaLoadingScreenShown]]"
        title-key="termsOfServiceLoading" role="dialog"
        aria-label$="[[i18nDynamic(locale, 'termsOfServiceLoading')]]"
        has-buttons>
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:googleg" icon2x="oobe-64:googleg">
      </hd-iron-icon>
    </oobe-dialog>
    <!-- As this dialog have pre-loading logic that require access to elements,
         dialog is marked as no-lazy. -->
    <oobe-dialog id="eulaDialog" hidden="[[eulaLoadingScreenShown]]"
        role="dialog" title-key="oobeEulaSectionTitle"
        aria-label$="[[i18nDynamic(locale, 'oobeEulaSectionTitle')]]"
        aria-describedby="crosEulaFrame" has-buttons no-lazy>
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:googleg" icon2x="oobe-64:googleg">
      </hd-iron-icon>
      <div slot="footer" class="flex layout vertical">
        <webview id="crosEulaFrame" allowTransparency
            role="document" class="flex oobe-tos-webview"
            aria-label$="[[i18nDynamic(locale, 'oobeEulaIframeLabel')]]"
            on-contentload="onFrameLoad_">
        </webview>
        <div id="footer-more" class="layout vertical">
          <a id="additionalTerms" on-click="onAdditionalTermsClicked_"
              class="oobe-local-link" is="action-link">
            [[i18nDynamic(locale, 'oobeEulaAditionalTerms')]]
          </a>
          <a id="securitySettings" class="oobe-local-link" is="action-link"
              on-click="onSecuritySettingsClicked_">
            [[i18nDynamic(locale, 'eulaSystemSecuritySettings')]]
          </a>
          <div id="logging" class="layout horizontal">
            <cr-checkbox id="usageStats" class="layout start self-center"
                checked="{{usageStatsChecked}}" on-change="onUsageChanged_"
                aria-labelledby="usageStatsLabel">
              <div id="usageStatsLabelContainer">
                <span id="usageStatsLabel">
                  [[i18nDynamic(locale, 'checkboxLogging')]]
                </span>
                <a id="learnMore" class="oobe-local-link" is="action-link"
                    on-click="onUsageStatsHelpLinkClicked_">
                  [[i18nDynamic(locale, 'learnMore')]]
                </a>
              </div>
            </cr-checkbox>
          </div>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button
            on-click="onEulaBackButtonPressed_"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-text-button id="acceptButton" inverse on-click="eulaAccepted_"
            class="focus-on-show"
            disabled="[[acceptButtonDisabled]]"
            text-key="oobeEulaAcceptAndContinueButtonText">
        </oobe-text-button>
      </div>
    </oobe-dialog>
    <oobe-dialog id="securitySettingsDialog" role="dialog" has-buttons
        title-key="eulaSystemSecuritySettings" hidden
        aria-label$="[[i18nDynamic(locale, 'eulaSystemSecuritySettings')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="oobe-32:googleg" icon2x="oobe-64:googleg">
      </hd-iron-icon>
      <div slot="subtitle" id="settingsSubtitle">
        [[i18nDynamic(locale, 'eulaTpmDesc')]]
      </div>
      <div slot="bottom-buttons" class="flex layout horizontal">
        <div class="flex"></div>
        <oobe-text-button id="settings-close-button" inverse
            class="focus-on-show"
            text-key="eulaSystemSecuritySettingsOkButton"
            on-click="onSecuritySettingsCloseClicked_"></oobe-text-button>
      </div>
    </oobe-dialog>
    <oobe-modal-dialog id="additionalToS" ignore-popstate
        on-close="focusAdditionalTermsLink_"
        on-cancel="focusAdditionalTermsLink_">
      <div slot="title">
        [[i18nDynamic(locale, 'oobeEulaAditionalTerms')]]
      </div>
      <webview slot="content" role="document" class="flex oobe-tos-webview"
          id="additionalChromeToSFrame">
      </webview>
      <oobe-text-button id="closeAdditionalTos" slot="buttons"
          on-click="hideToSDialog_" text-key="oobeModalDialogClose" inverse>
      </oobe-text-button>
    </oobe-modal-dialog>
  </template>
</dom-module>
